=== modified file 'jobs/disk.txt.in'
--- jobs/disk.txt.in	2010-04-14 21:53:09 +0000
+++ jobs/disk.txt.in	2011-04-21 19:30:18 +0000
@@ -8,14 +8,21 @@
  .
  Is this correct?
 
-plugin: manual
+plugin: local 
 name: disk_bench
 requires: device.category == 'DISK'
-user: root
-command: disk_bench_test
-_description:
- Disk benchmark:
- .
- $output
- .
- Is this ok?
+description: Benchmark for each disk 
+command: 
+ cat <<'EOF' | run_templates -t -s 'udev_resource | filter_templates -w "category=DISK"'
+ plugin: manual
+ name: disk_bench_test_`ls /sys$path/block`
+ requires: device.path == "$path" and package.name == 'linux'
+ user: root
+ command: hdparm -tT /dev/`ls /sys$path/block` | sed 's/:.*= */ = /' | grep -v "^$"
+ description:
+  Disk Benchmark:
+  .
+  \$output
+  .
+  Is this ok?
+ EOF

=== removed file 'scripts/disk_bench_test'
--- scripts/disk_bench_test	2009-08-26 22:02:21 +0000
+++ scripts/disk_bench_test	1970-01-01 00:00:00 +0000
@@ -1,18 +0,0 @@
-#!/usr/bin/python
-import sys
-from subprocess import Popen, PIPE
-
-def main():
-    output = Popen('hdparm -tT /dev/sda',
-                   stdout=PIPE, shell=True).communicate()[0]
-
-    for line in output.splitlines()[-2:]:
-        line = line.lstrip()
-        line = ("%s %s"
-                % (line[:line.find(':')],
-                   line[line.rfind('='):]))
-        print line
-
-
-if __name__ == "__main__":
-    sys.exit(main())

